//Path.java

import java.lang.*;
import java.io.*;
import java.util.*;

public class Path
{
	private ArrayList tlist=new ArrayList();
	private double distance=0.0;
	private int hopCount=0;
	
	//get functions
	public int getNode(int tindex)
	{
		int tnodeid=((Integer)tlist.get(tindex)).intValue();
		return(tnodeid);
	}
	
	public double getDistance()
	{
		return(distance);
	}
	
	public int getHopCount()
	{
		return(hopCount);
	}
	
	//set functions
	public void setDistance(double tdistance)
	{
		distance=tdistance;
	}
	
	//methods
	public int size()
	{
		return(tlist.size());
	}
	
	public void clear()
	{
		tlist.clear();
	}
	
	public void addNode(int tnodeid)
	{
		Integer tobj=new Integer(tnodeid);
		tlist.add(tobj);
		if(tnodeid!=-1) hopCount=size()-1;
	}
	
	public void appendPath(Path tpath)
	{
		for(int t=0;t<tpath.size();t++)
		{
			addNode(tpath.getNode(t));
		}
	}
	
	public void extendSize(int tcount)
	{
		for(int t=size();t<tcount;t++)
		{
			addNode(-1);
		}
	}
	
	public String toString()
	{
		String tstr="";
		for(int t=0;t<size();t++) tstr+=getNode(t)+",";
		tstr=tstr.substring(0,tstr.length()-1);
		return(tstr);
	}
}
