//Network.java

import java.lang.*;
import java.io.*;
import java.awt.*;

class Network
{
	private int ID;
	private int x,y;
	private int NodeCount;
	private Node[] nodes=new Node[100];

	//constructor
	Network()
	{
		ID=-1;
	}
	
	//get functions
	public int getID()
	{
		return(ID);
	}
	
	public int getX()
	{
		return(x);
	}
	
	public int getY()
	{
		return(y);
	}
	
	public int getNodeCount()
	{
		return(NodeCount);
	}
	
	public Node getNode(int tIndex)
	{
		return(nodes[tIndex]);
	}
	
	public int getNodeID(int tIndex)
	{
		return(nodes[tIndex].ID);
	}
	
	public int getNodeX(int tIndex)
	{
		return(nodes[tIndex].X);
	}
	
	public int getNodeY(int tIndex)
	{
		return(nodes[tIndex].Y);
	}
	
	//set functions
	public void setID(int tID)
	{
		ID=tID;
	}
	public void setXY(int tx,int ty)
	{
		x=tx;
		y=ty;
	}
	
	//methods
	public void addNode(Node tNode)
	{
		nodes[NodeCount]=tNode;
		NodeCount++;
	}
	
	public void addNode(int xposition,int yposition)
	{
	  	nodes[NodeCount]=new Node(xposition,yposition);
	  	NodeCount++;
	}
	
	public Node removeNode(int tIndex)
	{
		Node tNode=new Node();
		
		if(tIndex>=0&&tIndex<=NodeCount-1)
		{
			tNode=nodes[tIndex];
			for(int j=tIndex;j<=NodeCount-2;j++)
			{
				nodes[j]=nodes[j+1];
			}
			NodeCount=NodeCount-1;
		}
		
		return(tNode);
	}
	
	public void draw(Graphics g)
	{
		g.setColor(new Color(0,0,255));
		Graphics2D g2d=(Graphics2D)g;
		g2d.setStroke(new BasicStroke(2.0f));
		g.drawLine(x,y,x+Globals.NetworkWidth,y);
		g.drawLine(x+Globals.NetworkWidth,y,x+Globals.NetworkWidth,y+Globals.NetworkHeight);
		g.drawLine(x,y,x,y+Globals.NetworkHeight);
		g.drawLine(x,y+Globals.NetworkHeight,x+Globals.NetworkWidth,y+Globals.NetworkHeight);
	}
}
